<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	template="/WEB-INF/templates/menu_template.xhtml">

	<ui:define name="tituloPagina">#{msgProductos.bcProductoListar}</ui:define>

	<ui:define name="cuerpoPagina">
		<h:form id="form">
			<p:breadCrumb>
				<p:menuitem value="#{msgProductos.bcInicio}"
					url="${request.contextPath}/" />
				<p:menuitem value="#{msgProductos.bcProducto}" url="#" />
				<p:menuitem value="#{msgProductos.bcProductoListar}"
					url="${request.contextPath}/productos/listar.faces" />
			</p:breadCrumb>

			<p:growl id="messages" showDetail="true" showSummary="true"
				for="msgGrowl" escape="false" />

			<p:dataTable id="productoList" var="objProducto"
				value="#{beanProducto.getListadoProductos()}" rows="15"
				paginator="true" paginatorPosition="bottom" multiViewState="true"
				paginatorTemplate="{CurrentPageReport} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {RowsPerPageDropdown}"
				rowsPerPageTemplate="5,10,15" lazy="true">

				<f:facet name="header">#{msgProductos.tituloListar}</f:facet>

				<p:column headerText="#{msgProductos.idProducto}"
					style="width: 16%;">
					<h:outputText value="#{objProducto.idProducto}" />
				</p:column>

				<p:column headerText="#{msgProductos.nombreProducto}"
					style="width: 16%;">
					<h:outputText value="#{objProducto.nombreProducto}" />
				</p:column>

				<p:column headerText="#{msgProductos.descripcion}"
					style="width: 16%;">
					<h:outputText value="#{objProducto.descripcion}" />
				</p:column>

				<p:column headerText="#{msgProductos.categoria}" style="width: 16%;">
					<h:outputText value="#{objProducto.categoria.nombreCategoria}" />
				</p:column>

				<p:column headerText="#{msgProductos.iva}" style="width: 16%;">
					<h:outputText value="#{objProducto.iva}" />
				</p:column>

				<p:column headerText="#{msgProductos.referencia}"
					style="width: 16%;">
					<h:outputText value="#{objProducto.referencia}" />
				</p:column>

			</p:dataTable>
		</h:form>

	</ui:define>

</ui:composition>